Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class RPC

    java.lang.Object
      com.google.gwt.rpc.server.RPC

    public class RPC

extends java.lang.Object

EXPERIMENTAL and subject to change. Do not use this in production code.

Utility class for integrating with the RPC system.

Method Summary
`static RPCRequest` | `decodeRequest(java.lang.String encodedRequest, java.lang.Class<?> type, ClientOracle clientOracle)`
`static void` | `invokeAndStreamResponse(java.lang.Object target, java.lang.reflect.Method serviceMethod, java.lang.Object[] args, ClientOracle clientOracle, java.io.OutputStream stream)`
`static void` | `streamResponseForFailure(ClientOracle clientOracle, java.io.OutputStream out, java.lang.Throwable payload)`
`static void` | `streamResponseForSuccess(ClientOracle clientOracle, java.io.OutputStream out, java.lang.Object payload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decodeRequest

    public static RPCRequest decodeRequest(java.lang.String encodedRequest,
                                           java.lang.Class<?> type,
                                           ClientOracle clientOracle)
                                    throws com.google.gwt.rpc.client.impl.RemoteException

  Throws:
    `com.google.gwt.rpc.client.impl.RemoteException`

### invokeAndStreamResponse

    public static void invokeAndStreamResponse(java.lang.Object target,
                                               java.lang.reflect.Method serviceMethod,
                                               java.lang.Object[] args,
                                               ClientOracle clientOracle,
                                               java.io.OutputStream stream)
                                        throws SerializationException

  Throws:
    `SerializationException`

### streamResponseForFailure

    public static void streamResponseForFailure(ClientOracle clientOracle,
                                                java.io.OutputStream out,
                                                java.lang.Throwable payload)
                                         throws SerializationException

  Throws:
    `SerializationException`

### streamResponseForSuccess

    public static void streamResponseForSuccess(ClientOracle clientOracle,
                                                java.io.OutputStream out,
                                                java.lang.Object payload)
                                         throws SerializationException

  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD